VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
UIDescriptionListenerAdapter Class Reference

`#include <uidescriptionlistener.h>`

Inheritance diagram for UIDescriptionListenerAdapter:

## Public Member Functions
bool | doUIDescTemplateUpdate (UIDescription *desc, UTF8StringPtr name) override
void | onUIDescTagChanged (UIDescription *desc) override
void | onUIDescColorChanged (UIDescription *desc) override
void | onUIDescFontChanged (UIDescription *desc) override
void | onUIDescBitmapChanged (UIDescription *desc) override
void | onUIDescTemplateChanged (UIDescription *desc) override
void | onUIDescGradientChanged (UIDescription *desc) override
void | beforeUIDescSave (UIDescription *desc) override
Public Member Functions inherited from UIDescriptionListener
virtual | ~UIDescriptionListener () noexcept
virtual bool | doUIDescTemplateUpdate (UIDescription *desc, UTF8StringPtr name)=0
virtual void | onUIDescTagChanged (UIDescription *desc)=0
virtual void | onUIDescColorChanged (UIDescription *desc)=0
virtual void | onUIDescFontChanged (UIDescription *desc)=0
virtual void | onUIDescBitmapChanged (UIDescription *desc)=0
virtual void | onUIDescTemplateChanged (UIDescription *desc)=0
virtual void | onUIDescGradientChanged (UIDescription *desc)=0
virtual void | beforeUIDescSave (UIDescription *desc)=0

## Member Function Documentation

## ◆ beforeUIDescSave()

void beforeUIDescSave | ( | UIDescription * | desc | ) |
| inline override virtual

Implements UIDescriptionListener.

## ◆ doUIDescTemplateUpdate()

bool doUIDescTemplateUpdate | ( | UIDescription * | desc,
|  | UTF8StringPtr | name
| ) |  |
| inline override virtual

Implements UIDescriptionListener.

## ◆ onUIDescBitmapChanged()

void onUIDescBitmapChanged | ( | UIDescription * | desc | ) |
| inline override virtual

Implements UIDescriptionListener.

## ◆ onUIDescColorChanged()

void onUIDescColorChanged | ( | UIDescription * | desc | ) |
| inline override virtual

Implements UIDescriptionListener.

## ◆ onUIDescFontChanged()

void onUIDescFontChanged | ( | UIDescription * | desc | ) |
| inline override virtual

Implements UIDescriptionListener.

## ◆ onUIDescGradientChanged()

void onUIDescGradientChanged | ( | UIDescription * | desc | ) |
| inline override virtual

Implements UIDescriptionListener.

## ◆ onUIDescTagChanged()

void onUIDescTagChanged | ( | UIDescription * | desc | ) |
| inline override virtual

Implements UIDescriptionListener.

## ◆ onUIDescTemplateChanged()

void onUIDescTemplateChanged | ( | UIDescription * | desc | ) |
| inline override virtual

Implements UIDescriptionListener.

The documentation for this class was generated from the following file:

- uidescriptionlistener.h